Bug 255547 - devel/py-twisted: Update to 21.2.0
Summary: devel/py-twisted: Update to 21.2.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Wen Heping
URL: https://github.com/twisted/twisted/bl...
Keywords:
Depends on: 251848
Blocks:
  Show dependency treegraph
 
Reported: 2021-05-02 14:24 UTC by Sascha Biberhofer
Modified: 2021-07-31 00:37 UTC (History)
4 users (show)

See Also:
koobs: maintainer-feedback+
koobs: merge-quarterly-


Attachments
devel/py-twisted: Update to 21.2.0 (3.42 KB, patch)
2021-05-02 14:24 UTC, Sascha Biberhofer
no flags Details | Diff
devel/py-twisted: Update to 21.2.0 (3.50 KB, patch)
2021-05-02 15:50 UTC, Sascha Biberhofer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sascha Biberhofer 2021-05-02 14:24:02 UTC
Created attachment 224610 [details]
devel/py-twisted: Update to 21.2.0

This patch updates devel/py-twisted to 21.2.0. This might be particularly interesting for us since this version now officially supports and tests for python38. 

From a ports perspective, I've mainly synced the dependencies with those in setup.cfg. I've also raised the minimum python requirement to 3.7+ due to the dependency on contextvars, which would need a backported contextvars for python 3.5 and 3.6, which we don't have in ports as far as I can tell.

This port also breaks the current version of py-treq but the version proposed in Bug 251848 builds, tests and runs fine with this port.

portlint: "looks fine."
testport: OK (poudriere: 122amd64)
do-test: "OK?" FAILED (skips=2626, expectedFailures=3, failures=14, errors=26, successes=9760)

A note on the testsuite: This result appears to be identical to the testsuite failures with our current twisted port. I'm not quite sure what to do about this, as I'm not an expert on py-twisted. :/

The port has been running fine in production for the past week with the aforementioned treq update and py-matrix-synapse.
Comment 1 Sascha Biberhofer 2021-05-02 15:50:03 UTC
Created attachment 224614 [details]
devel/py-twisted: Update to 21.2.0

I forgot that incremental is necessary at both build and runtime. This revision fixes that. :/
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2021-06-06 00:06:53 UTC
Thank you Sascha, can you confirm QA across python* versions and run a consumer package run of twisted dependents please.
Comment 3 commit-hook freebsd_committer 2021-07-31 00:30:19 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=e211e1e5a8d5d7534e14b6f85c6a13731cebffd8

commit e211e1e5a8d5d7534e14b6f85c6a13731cebffd8
Author:     Wen Heping <wen@FreeBSD.org>
AuthorDate: 2021-07-31 00:27:51 +0000
Commit:     Wen Heping <wen@FreeBSD.org>
CommitDate: 2021-07-31 00:27:51 +0000

    devel/py-twisted: Update to 21.2.0

    - Update DEPENDS
    PR:             255547
    Reported by:    ports@skyforge.at

 devel/py-twisted/Makefile | 18 +++++++++---------
 devel/py-twisted/distinfo |  6 +++---
 2 files changed, 12 insertions(+), 12 deletions(-)